require("dotenv").config()

const { SlashCommandBuilder, Routes } = require("discord.js")
const { REST } = require("@discordjs/rest")

const PlayCommand = new SlashCommandBuilder()
    .setName("playcam")
    .setDescription("Play a song on the worstest camera ever!")
    .addStringOption(option => option.setName("url").setDescription("URL of the song to play").setRequired(true))
    .addStringOption(option => option.setName("start").setDescription("Set start time").setRequired(false))
    .addStringOption(option => option.setName("volume").setDescription("Volume of the song to play").setRequired(false))

const StopCommand = new SlashCommandBuilder()
    .setName("playcamstop")
    .setDescription("Stop playing a song on the worstest camera ever!")

const commands = [
    PlayCommand,
    StopCommand
].map(command => command.toJSON())

const rest = new REST({ version: "10" }).setToken(process.env.DISCORD_BOT_TOKEN)

rest.put(Routes.applicationGuildCommands(process.env.DISCORD_CLIENT_ID, process.env.DISCORD_GUILD_ID), { body: commands })
    .then(() => console.log("Successfully registered application commands."))
    .catch(console.error)